Bug 285691 - (CVE-2007-4826) CVE-2007-4826 quagga bgpd DoS
CVE-2007-4826 quagga bgpd DoS
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://quagga.net/news2.php?y=2007&m=...
source=internet,impact=low,reported=2...
: Security
Depends On: 292841 315301 638624 638626 638627 638628 833977
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-11 05:10 EDT by Tomas Hoger
Modified: 2012-06-20 10:36 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-28 16:40:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2007-09-11 05:10:32 EDT
From Quagga 0.99.9 release notes:

This release fixes two potential DoS conditions in bgpd, reported by Mu
Security, where a bgpd could be crashed if a peer sent a malformed OPEN message
or a malformed COMMUNITY attribute. Only configured peers can do this, hence we
consider these issues to be very low impact.

http://quagga.net/news2.php?y=2007&m=9&d=7#id1189190760


CVS commits referencing this issue:

http://cvs.quagga.net/cgi-bin/viewcvs.cgi/quagga/bgpd/bgp_attr.c.diff?r1=1.23&r2=1.24&diff_format=h
 
http://cvs.quagga.net/cgi-bin/viewcvs.cgi/quagga/bgpd/bgp_community.c.diff?r1=1.7&r2=1.8&diff_format=h
Comment 6 Jan Lieskovsky 2010-09-29 09:09:36 EDT
Relevant git changeset:
[1] http://code.quagga.net/?p=quagga.git;a=commit;h=b2ceea18074ab8cca894051a3fbc30c312e3acc6
Comment 13 errata-xmlrpc 2010-10-20 12:24:17 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0785 https://rhn.redhat.com/errata/RHSA-2010-0785.html
Comment 14 Kurt Seifried 2011-09-28 16:40:27 EDT
All z-stream children bugs have been closed, futue tracking bugs still open, parent is no longer needed.

Note You need to log in before you can comment on or make changes to this bug.